Summary: GNU Bourne Again Shell (bash)
Name: bash
Version: 1.14.7
Release: 2
Group: Shells
Copyright: GPL
Source: prep.ai.mit.edu:/pub/gnu/bash-1.14.7.tar.gz
Source1: bashrc
Patch0: ftp.azstarnet.com:/pub/linux/axp/misc/bash-1.14.5.patch.gz
Patch1: bash-1.14.6.sparc.patch
Patch2: ftp.azstarnet.com:/pub/linux/axp/misc/bash-1.14.6-rh3.0.3-glibc.patch.gz
Patch3: bash-1.14.7-paths.patch
Patch4: bash-1.14.7-security.patch
Patch5: bash-1.14.7-mips.patch
Prereq: fileutils grep

%changelog

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
Bash is an sh-compatible command language interpreter that
executes commands read from the standard input or from a
file.  Bash also incorporates useful features from the
Korn and C shells (ksh and csh).

Bash is ultimately intended to be a conformant implementation
of the IEEE Posix Shell and Tools specification (IEEE
Working Group 1003.2).

%prep
%setup
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s prefix=/usr CC=gcc CPPNAME='$(CC) -E'
strip bash

%install
make 'prefix=/usr' install
mv /usr/bin/bash /bin/bash
rm -f /usr/bin/installed-bash
gzip -9nf /usr/info/bash.info
rm -f /usr/bin/bash.old
install -m644 $RPM_SOURCE_DIR/bashrc /etc/bashrc
ln -sf bash.1 /usr/man/man1/sh.1
ln -sf bash /bin/sh

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/bash" > /etc/shells
	echo "/bin/sh" >> /etc/shells
else
	if ! grep '^/bin/bash$' /etc/shells > /dev/null; then
		echo "/bin/bash" >> /etc/shells
	fi
	if ! grep '^/bin/sh$' /etc/shells > /dev/null; then
		echo "/bin/sh" >> /etc/shells
	fi
fi

%postun
if [ "$1" = "0" ]; then
	grep -v /bin/bash /etc/shells | grep -v /bin/sh > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%files
%doc NEWS README RELEASE
%config /etc/bashrc
/bin/bash
/bin/sh
/usr/info/bash.info.gz
/usr/man/man1/bash.1
/usr/man/man1/sh.1
/usr/bin/bashbug
